{% extends "ajax/ajax.html.twig" %}
{% block menu_text %}
    {{parent()}}
    <li class="back-dash" x-ajax-href="{{ url('game_landing') }}">{{ 'Zum Spiel'|trans({},'global') }}</li>
{% endblock %}
{% block title %}{{ 'Zukunft'|trans({}, 'admin') }}{% endblock %}
{% block ajax %}
    <div class="row">
        <div class="cell rw-12">

            <ul class="tabs plain" x-tab-group="admin-announcements" x-tab-control x-tab-default="{{ tab }}">
                {% if is_granted('ROLE_CROW') %}
                    <li class="tab" x-tab-id="changelog"><div class="tab-link">{% trans from 'admin' %}Changelogs{% endtrans %}</div></li>
                {% endif %}
                <li class="tab" x-tab-id="announcement"><div class="tab-link">{% trans from 'admin' %}Ankündigungen{% endtrans %}</div></li>
                <li class="tab"><div class="tab-link" x-ajax-href="{{ path('admin_polls') }}">{% trans from 'soul' %}Umfragen{% endtrans %}</div></li>
            </ul>

            {% if is_granted('ROLE_CROW') %}
                <div x-tab-group="admin-announcements" x-tab-id="changelog" x-tab-target>
                <div class="row-table">
                    <div class="row header">
                        <div class="cell padded rw-8 rw-lg-6 rw-sm-12">
                            <span>{{ "Titel" |trans({}, 'admin') }}</span>
                        </div>
                        <div class="cell padded rw-1 rw-lg-2 hide-sm">
                            <span>{{ "Version" |trans({}, 'admin') }}</span>
                        </div>
                        <div class="cell padded rw-1 rw-lg-2 hide-sm">
                            <span>{{ "Sprache" |trans({}, 'admin') }}</span>
                        </div>
                    </div>
                    {% for new in news %}
                        <div class="row">
                            <div class="cell padded rw-8 rw-lg-6 rw-sm-12">
                                {{ new.title }}
                            </div>
                            <div class="cell padded rw-1 rw-lg-2 rw-sm-8">
                                <span>{{ new.version }}</span>
                            </div>
                            <div class="cell padded rw-1 rw-lg-2 rw-sm-4">
                                <span>{{ new.lang }}</span>
                            </div>
                        </div>
                    {% endfor %}
                </div>

                <div class="row">
                    <div class="cell padded rw-3 rw-md-6 rw-sm-12">
                        <button id="new_changelog">
                            {{'Neue Update'|trans({}, 'admin')}}
                        </button>
                    </div>
                </div>

                <div id="changelog-forum-editor"></div>
            </div>
            {% endif %}

            <div x-tab-group="admin-announcements" x-tab-id="announcement" x-tab-target>
                <div class="row-table">
                    <div class="row header">
                        <div class="cell padded rw-8 rw-sm-12">
                            <span>{{ "Titel" |trans({}, 'admin') }}</span>
                        </div>
                        <div class="cell padded rw-2 hide-sm">
                            <span>{{ "Sprache" |trans({}, 'admin') }}</span>
                        </div>
                    </div>
                    {% for new in announces %}
                        <div class="row">
                            <div class="cell padded rw-8 rw-sm-12">
                                {{ new.title }}
                            </div>
                            <div class="cell padded rw-2 rw-sm-6">
                                <span>{{ new.lang }}</span>
                            </div>
                            <div class="cell padded rw-2 rw-sm-6 right">
                                {% if is_granted('ROLE_CROW') or new.sender == app.user %}
                                    <button class="small inline" x-trash-announce="{{ path('admin_changelog_del_announcement', {id: new.id}) }}"><i class="fa fa-trash"></i></button>
                                {% endif %}
                            </div>
                        </div>
                    {% endfor %}
                </div>

                <div class="row">
                    <div class="cell padded rw-3 rw-md-6 rw-sm-12">
                        <button id="new_announce">
                            {{'Neue Ankündigung'|trans({}, 'admin')}}
                        </button>
                    </div>
                </div>

                <div id="announcement-forum-editor"></div>
            </div>
        </div>
    </div>

{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        (function() {
            {% if is_granted('ROLE_CROW') %}
                $.html.addEventListenerAll('#new_changelog' ,'click', function() {
                    let target = document.getElementById("changelog-forum-editor");
                    target.innerHTML = "";
                    $.ajax.no_history().load( target, '{{ path('admin_new_changelog_editor_controller') }}', false )
                });
            {% endif %}

            $.html.addEventListenerAll('#new_announce' ,'click', function() {
                let target = document.getElementById("announcement-forum-editor");
                target.innerHTML = "";
                $.ajax.no_history().load( target, '{{ path('admin_new_announcement_editor_controller') }}', false )
            });

            $.html.addEventListenerAll('button[x-trash-announce]' ,'click', function(e,elem) {
                if (confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                    $.ajax.easySend( elem.getAttribute('x-trash-announce'), {},
                        function () {
                            $.ajax.load(null, '{{ path('admin_changelogs', {tab: 'announcement'}) }}', true);
                        } );
            });
        })();

    </script>
{% endblock %}